FATHOM(6)

NAME
fathom - Command-line for probing Syzygy tablebases

SYNOPSIS
fathom [--help] [--path=PATH] [--test] FEN

  WHERE:

FEN The position (as a FEN string) to be probed.

--help
    Print this helpful message.

--path=PATH
    Set the tablebase PATH string.

--test
    Print the result only. Useful for scripts.

DESCRIPTION:
This program is a stand-alone Syzygy tablebase probe tool.
The program takes as input a FEN string representation of a chess position and outputs a PGN representation of the probe result.

In addition to the standard fields, the output PGN represents the following information:
- Result: "1-0" (white wins), "1/2-1/2" (draw), or "0-1" (black wins)
- The Win-Draw-Loss (WDL) value for the next move: "Win", "Draw",
  "Loss", "CursedWin" (win but 50-move draw) or "BlessedLoss"
  (loss but 50-move draw)
- The Distance-To-Zero (DTZ) value (in plys) for the next move
- WinningMoves: The list of all winning moves
- DrawingMoves: The list of all drawing moves
- LosingMoves: The list of all losing moves

The PGN contains a pseudo "principle variation" of Syzygy vs. Syzygy for the input position. Each PV move is rational with respect to preserving the WDL value. The PV does not represent the shortest mate nor the most natural human moves.

AUTHOR
Fathom was written by basil <basil@reqrypt.org>. This manual page was written by Jose G. López <josgalo@gmail.com> for the Debian GNU/Linux project, but may be used by others. It was written with the assistance of help2man(1) and then edited slightly to clean it up.